in scala.collection.immutable.RedBlack
class NonEmpty

@scala.serializable
`abstract class` NonEmpty [+B]
  `extends` scala.collection.immutable.RedBlack.Tree[B]
  `with` scala.ScalaObject

Direct Known Subclasses:
  RedTree, BlackTree, RedTree, BlackTree, RedTree, BlackTree

Constructor Summary
| `def` this

Def Summary
| `def` count : scala.Int
| `def` del (k: A) : scala.collection.immutable.RedBlack.Tree[B]
| `def` elements : scala.collection.immutable.ImmutableIterator[scala.Tuple2[A, B]]
| `def` elementsSlow : scala.Iterator[scala.Tuple2[A, B]]
| `def` first : A
| `def` isEmpty : scala.Boolean
`abstract` | `def` key : A
| `def` last : A
`abstract` | `def` left : scala.collection.immutable.RedBlack.Tree[B]
| `def` lookup (k: A) : scala.collection.immutable.RedBlack.Tree[B]
`override` | `def` range (from: scala.Option[A], until: scala.Option[A]) : scala.collection.immutable.RedBlack.Tree[B]
`abstract` | `def` right : scala.collection.immutable.RedBlack.Tree[B]
| `def` smallest : scala.collection.immutable.RedBlack.NonEmpty[B]
| `def` upd [B1 >: B] (k: A, v: B1) : scala.collection.immutable.RedBlack.Tree[B1]
`abstract` | `def` value : B
| `def` visit [T] (input: T)(f: (T, A, B) => scala.Tuple2[scala.Boolean, T]) : scala.Tuple2[scala.Boolean, T]

Def inherited from scala.collection.immutable.RedBlack.Tree[B]
count , del, delete, elements, elementsSlow, first, isBlack, isEmpty, last, lookup, range, smallest, upd, update, visit

Constructor Detail

`def` this

Def Detail

`def` count : scala.Int

`def` del (k: A): scala.collection.immutable.RedBlack.Tree[B]

`def` elements : scala.collection.immutable.ImmutableIterator[scala.Tuple2[A, B]]

`def` elementsSlow : scala.Iterator[scala.Tuple2[A, B]]

`def` first : A

`def` isEmpty : scala.Boolean

`abstract def` key : A

`def` last : A

`abstract def` left : scala.collection.immutable.RedBlack.Tree[B]

`def` lookup (k: A): scala.collection.immutable.RedBlack.Tree[B]

`override def` range (from: scala.Option[A], until: scala.Option[A]): scala.collection.immutable.RedBlack.Tree[B]

`abstract def` right : scala.collection.immutable.RedBlack.Tree[B]

`def` smallest : scala.collection.immutable.RedBlack.NonEmpty[B]

`def` upd [B1 >: B](k: A, v: B1): scala.collection.immutable.RedBlack.Tree[B1]

`abstract def` value : B

`def` visit [T](input: T)(f: (T, A, B) => scala.Tuple2[scala.Boolean, T]): scala.Tuple2[scala.Boolean, T]